Bug 459822 - Use numpy instead of Numeric
Use numpy instead of Numeric
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
: 468507 (view as bug list)
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-08-22 13:41 EDT by Daniel Drake
Modified: 2008-11-20 08:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-27 13:44:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)
spec file changes (1.41 KB, patch)
2008-08-22 13:41 EDT, Daniel Drake
no flags Details | Diff
pygtk-use-numpy.patch (3.18 KB, patch)
2008-08-22 13:41 EDT, Daniel Drake
no flags Details | Diff

  None (edit)
Description Daniel Drake 2008-08-22 13:41:02 EDT
Created attachment 314822 [details]
spec file changes

We're removing Numeric from OLPC's software build, and we've had to modify pygtk to use numpy rather than numeric. The upstream bug is here: http://bugzilla.gnome.org/show_bug.cgi?id=397544

The change appears to have been accepted for future releases.

Would you consider including this patch in the F9 package? I'll attach the patch.

If not, I'll request an OLPC-3 fork of the package.
Comment 1 Daniel Drake 2008-08-22 13:41:25 EDT
Created attachment 314823 [details]
pygtk-use-numpy.patch
Comment 2 Matthew Barnes 2008-08-25 13:55:06 EDT
I'm not sure I want to do this for F9 since the upstream discussion implies it could be disruptive to other packages, but I'd entertain the idea for F10.

I'm trying to better understand the potential issues.  Upstream seems to be dragging their feet about it, and I don't want to jump the gun in case they decide on a different course.

Maybe I'm being overly cautious, but for now you might just want to fork the package for OLPC-3.  I'll keep an eye on the upstream bug in the meantime.
Comment 3 Daniel Drake 2008-08-26 16:37:57 EDT
OK. Please create branch based on F-9.

Package Change Request
======================
Package Name: pygtk2
New Branches: OLPC-3
Comment 4 Kevin Fenzi 2008-08-26 19:18:23 EDT
cvs done.
Comment 5 Daniel Drake 2008-08-27 13:44:28 EDT
all done, thanks
Comment 6 Matthew Barnes 2008-10-25 11:14:02 EDT
*** Bug 468507 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.